// ChebyshevDlg.cpp : implementation file
//

#include "stdafx.h"
#include "dsp.h"
#include "ChebyshevDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CChebyshevDlg dialog


CChebyshevDlg::CChebyshevDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CChebyshevDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CChebyshevDlg)
	m_ApplyTo = 0;
	m_CutOff = 1000;
	m_NumPoles = 2;
	m_Freq = _T("");
	m_IsLopass = 0;
	m_Ripple = 0.0;
	//}}AFX_DATA_INIT
}


void CChebyshevDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CChebyshevDlg)
	DDX_CBIndex(pDX, IDC_APPLYTO, m_ApplyTo);
	DDX_Text(pDX, IDC_CUTOFF, m_CutOff);
	DDV_MinMaxInt(pDX, m_CutOff, 0, m_HalfRate);
	DDX_Text(pDX, IDC_NUMPOLES, m_NumPoles);
	DDV_MinMaxInt(pDX, m_NumPoles, 2, 20);
	DDX_Text(pDX, IDC_STATICFREQ, m_Freq);
	DDX_Radio(pDX, IDC_ISLOPASS, m_IsLopass);
	DDX_Text(pDX, IDC_RIPPLE, m_Ripple);
	DDV_MinMaxDouble(pDX, m_Ripple, 0., 29.);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CChebyshevDlg, CDialog)
	//{{AFX_MSG_MAP(CChebyshevDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CChebyshevDlg message handlers

BOOL CChebyshevDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	if (!m_ApplyTo)
	{
		CComboBox *cb = (CComboBox *)GetDlgItem(IDC_APPLYTO);
		cb->DeleteString(1);
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
