// CPlayDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DSP.h"
#include "PlayDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPlayDialog dialog


CPlayDialog::CPlayDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CPlayDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPlayDialog)
	m_Freq = -1;
	//}}AFX_DATA_INIT
}


void CPlayDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPlayDialog)
	DDX_CBIndex(pDX, IDC_FREQCOMBO, m_Freq);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPlayDialog, CDialog)
	//{{AFX_MSG_MAP(CPlayDialog)
	ON_WM_HSCROLL()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPlayDialog message handlers

BOOL CPlayDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	DWORD vol;
	CSliderCtrl *sl = (CSliderCtrl *)GetDlgItem(IDC_VOLUME);
	sl->SetTicFreq(2048);
	sl->SetRangeMin(0);
	sl->SetRangeMax(0x7FFF);
	waveOutGetVolume(0, &vol);
	sl->SetPos((vol & 0xFFFF) >> 1);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


void CPlayDialog::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	// TODO: Add your message handler code here and/or call default
	unsigned int n = ((CSliderCtrl *)pScrollBar)->GetPos() << 1;
	waveOutSetVolume(0, (n << 16) | n);
	CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
}
