// AddNoiseDlg.cpp : implementation file
//

#include "stdafx.h"
#include "dsp.h"
#include "AddNoiseDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddNoiseDlg dialog


CAddNoiseDlg::CAddNoiseDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAddNoiseDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAddNoiseDlg)
	m_ApplyTo = -1;
	m_NoiseFreq = 1000;
	m_NoiseVal = 0;
	//}}AFX_DATA_INIT
}


void CAddNoiseDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddNoiseDlg)
	DDX_CBIndex(pDX, IDC_APPLYTO, m_ApplyTo);
	DDX_Text(pDX, IDC_NOISEFREQ, m_NoiseFreq);
	DDV_MinMaxInt(pDX, m_NoiseFreq, 100, m_HalfRate);
	DDX_Slider(pDX, IDC_NOISEVAL, m_NoiseVal);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddNoiseDlg, CDialog)
	//{{AFX_MSG_MAP(CAddNoiseDlg)
	ON_WM_VSCROLL()
	ON_WM_SHOWWINDOW()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddNoiseDlg message handlers

BOOL CAddNoiseDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	if (!m_ApplyTo)
	{
		CComboBox *cb = (CComboBox *)GetDlgItem(IDC_APPLYTO);
		cb->DeleteString(1);
	}
	CSliderCtrl *sl = (CSliderCtrl *)GetDlgItem(IDC_NOISEVAL);
	sl->SetRangeMin(0);
	sl->SetRangeMax(60);
	sl->SetTicFreq(4);
	char s[50];
	sprintf(s, "    (100 - %d ):", m_HalfRate);
	SetDlgItemText(IDC_FREQTEXT, s);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CAddNoiseDlg::OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	// TODO: Add your message handler code here and/or call default
	
	int pos;
	double p;

	CSliderCtrl *sl = (CSliderCtrl *)pScrollBar;
	char s[20];

	pos = -sl->GetPos();
	p = pow(10, (double)pos / 20) * 100;
	sprintf(s, "%d \n(%.2f%c)", pos, p, '%');
	SetDlgItemText(IDC_VAL1, s);

	CDialog::OnVScroll(nSBCode, nPos, pScrollBar);
}

void CAddNoiseDlg::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
	
	// TODO: Add your message handler code here
	
	OnVScroll(0, 0, (CScrollBar *)GetDlgItem(IDC_NOISEVAL));
}
