#if !defined(AFX_POLEZEROWND_H__C945AD60_10A6_11D5_B5F1_5254AB134FE2__INCLUDED_)
#define AFX_POLEZEROWND_H__C945AD60_10A6_11D5_B5F1_5254AB134FE2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PoleZeroWnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPoleZeroWnd frame

class CPoleZeroWnd : public CFrameWnd
{
	DECLARE_DYNCREATE(CPoleZeroWnd)
private:
	double a_maxx;
	CRect a_rect;
	char a_xlabel[32], a_ylabel[32];
	int num_poles, num_zeros;
	double *d, max_r;
	double rp[MAX_POLES], wp[MAX_POLES];
	double r0[MAX_ZEROS], w0[MAX_ZEROS];
	void DrawAxes(CDC *dc, CRect r, double max_x, double max_y, int tick_freq, char *x_label, char *y_label, bool Centered);
	void DrawZPlane(CDC *dc);
public:
	CPoleZeroWnd();           // protected constructor used by dynamic creation

// Attributes
public:
	int m_HalfRate;
	int m_GraphType;
	int m_GraphWidth;
	int m_GraphHeight;
	void SetData(double *data, int length);
	void SetPoleZeroCoords(double *rp, double *wp, double *r0, double *w0, int poles, int zeros);
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPoleZeroWnd)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CPoleZeroWnd();
	// Generated message map functions
	//{{AFX_MSG(CPoleZeroWnd)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnPaint();
	afx_msg void OnDestroy();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_POLEZEROWND_H__C945AD60_10A6_11D5_B5F1_5254AB134FE2__INCLUDED_)
