//      
//   WAVE  
// (     )

//   8-   16-
void c8bto16b(unsigned char s1, unsigned& s2);

//   16-   8-
void c16bto8b(unsigned s1, unsigned char& s2);

//        16- 
void stom16b(unsigned s1, unsigned s2, unsigned& s3);

//        8- 
void stom8b(unsigned char s1, unsigned char s2, unsigned char& s3);

//        16- 
void mtos16b(unsigned s1, unsigned s2, unsigned& s3);

//        8- 
void mtos8b(unsigned char s1, unsigned char& s2, unsigned char& s3);


void c8bto16b(unsigned char s1, unsigned& s2)
{
	s2 = int(s1 - 128) << 8;
}

void c16bto8b(unsigned s1, unsigned char& s2)
{
	s2 = unsigned(s1 + 32768) >> 8;
}

void stom16b(unsigned s1, unsigned s2, unsigned& s3)
{
	s3 = (int(s1) + int(s2)) >> 1;
}

void stom8b(unsigned char s1, unsigned char s2, unsigned char& s3)
{
	s3 = (unsigned(s1) + unsigned(s2)) >> 1;
}

void mtos16b(unsigned s1, unsigned s2, unsigned& s3)
{
	s2 = s3 = s1;
}

void mtos8b(unsigned char s1, unsigned char& s2, unsigned char& s3)
{
	s2 = s3 = s1;
}
